Subject: bug#16056: dired-do-chmod vs. dired-get-filename message

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 19:28:10 -0700

[email-masked] writes:

> M runs the command dired-do-chmod
> which works on ., despite
> dired-get-filename: Cannot operate on `.' or `..'
> annoying messages.

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

I tried doing `M' on a "." file in dired, and I didn't get any
"Cannot operate on `.' or `..'" messages, so this looks like it's been
fixed in the intervening years, and I'm closing this bug report.  If
you're still seeing this, please reopen and provide a full recipe for
how to reproduce the bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no